#!/usr/bin/env bash

set -e

BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

if [ ! -d ${BASEDIR}/oh-my-zsh ]; then
  echo "missing oh-my-zsh installing.."
  git clone https://github.com/robbyrussell/oh-my-zsh ${BASEDIR}/oh-my-zsh
  git clone https://github.com/bhilburn/powerlevel9k.git ${BASEDIR}/oh-my-zsh/custom/themes/powerlevel9k
  git clone https://github.com/zsh-users/zsh-autosuggestions ${BASEDIR}/oh-my-zsh/plugins/zsh-autosuggestions
fi

CONFIG="install.conf.yaml"
DOTBOT_DIR="dotbot"

DOTBOT_BIN="bin/dotbot"
BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

cd "${BASEDIR}"
git submodule update --init --recursive "${DOTBOT_DIR}"


"${BASEDIR}/${DOTBOT_DIR}/${DOTBOT_BIN}" -d "${BASEDIR}" -c "${CONFIG}" "${@}"



